Omniplex Docs
PopplioProduction

Vanity

These API endpoints are related to vanity codes on IGL

GET
/vanity/{code}

Resolve Vanity

Resolve a vanity by its code or (then) its target id

/vanity/{code}

Path Parameters

code
Required
string

The vanity code

Query Parameters

itagstring

Resolve based on itag

curl -X GET "https://spider.omniplex.gg/vanity/string?itag=string"

Success

{
  "code": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "itag": "6b5f8e7b-1e8c-4611-b693-ee8faa950c62",
  "target_id": "string",
  "target_type": "string"
}

GET
/@{code}

Redirect Vanity

Resolve a vanity by its code or (then) its target id, then redirects to the API url. Useful for debugging mainly

/@{code}

Path Parameters

code
Required
string

The vanity code

Query Parameters

itagstring

Resolve based on itag

curl -X GET "https://spider.omniplex.gg/@string?itag=string"

Success

{
  "code": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "itag": "6b5f8e7b-1e8c-4611-b693-ee8faa950c62",
  "target_id": "string",
  "target_type": "string"
}

PATCH
/{target_type}/{target_id}/vanity

Update Entity Vanity

Updates an entities vanity. Returns 204 on success

/{target_type}/{target_id}/vanity

The Authorization access token

Authorization

User-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

In: header

Bot-Auth<token>

Requires a bot token. Should be prefixed with Bot in Authorization header.

In: header

Server-Auth<token>

Requires a server API session token. Should be prefixed with Server in Authorization header.

In: header

Team-Auth<token>

Requires a team API session token. Should be prefixed with Team in Authorization header.

In: header

Request Body

application/jsonRequired

codestring

The new vanity code to use

Path Parameters

target_type
Required
string

The target type of the entity

target_id
Required
string

The target ID of the entity

curl -X PATCH "https://spider.omniplex.gg/string/string/vanity" \
  -H "User-Auth: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "code": "string"
  }'

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}